#!/bin/sh
set -efux

pys="$(py3versions -s 2>/dev/null)"

cp -a pytest.ini tests "$AUTOPKGTEST_TMP/"

cd "$AUTOPKGTEST_TMP"

for py in $pys; do
    echo "=== $py ==="
    $py -m pytest -v -k 'not (test_auth or test_log or test_cython)' 2>&1
done
